"Incompatible with version 13.0.1"? Rated 5 out of 5 stars

I'm giving Mail Redirect 5 stars for my experience with it on my laptop, where it runs like a dream. I have been unable to install it on my PC, however.

Both the laptop and PC have the latest Thunderbird, 13.0.1, auto-updated. When I try to install Mail Redirect on T'bird on the PC, however, it says "Mail Redirect could not be installed because it is incompatible with version 13.0.1."

The only difference between these two machines is that my laptop is running Vista Home and the PC is running WinXP Pro SP3.

If the problem is the operating system, why doesn't it say so? This is really frustrating.

Please advise.

This review is for a previous version of the add-on (0.7.4). 

Hi Bluejay99,
Thanks you very much for your 5 stars!
Mail Redirect version 0.7.6.11 should work independent of your OS for Thunderbird up to version 14.*. Are you sure you right-clicked the .xpi and downloaded it instead of left-clicking it and installing it in Firefox? You can also drag the .xpi directly from Firefox to Thunderbird's Add-ons Manager tab.
Hope that helps,
Onno